petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetDof

Sets the number of degrees of freedom per vertex

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetDof(DM da, PetscInt dof)

Not collective

### Input Parameters

| da | - The DMDA
| dof | - Number of degrees of freedom

### Keywords

distributed array, degrees of freedom

### See Also

DMDAGetDof(), DMDACreate(), DMDestroy(), DMDA

### Level

intermediate

### Location

src/dm/impls/da/da.c

### Examples

src/dm/examples/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages